API reference
Every public API operation, grouped by area.
The public API has 470 operations. Each page shows the request and response schemas, the authentication it takes, and curl, SDK, and CLI samples.
Agent Email
| Operation | Endpoint |
|---|---|
| Approve an email draft | POST /v1/agent-email/drafts/{draftId}/approve |
| Bind an inbox to an agent deployment or external target | POST /v1/agent-email/inboxes/{inboxId}/bindings |
| Cancel an email draft | POST /v1/agent-email/drafts/{draftId}/cancel |
| Create a raw message access URL | POST /v1/agent-email/messages/{messageId}/raw/access |
| Create an agent email inbox | POST /v1/agent-email/inboxes |
| Create an attachment access URL | POST /v1/agent-email/attachments/{attachmentId}/access-url |
| Create an email draft | POST /v1/agent-email/inboxes/{inboxId}/drafts |
| Create an email placement | POST /v1/agent-email/placements |
| Create an email suppression | POST /v1/agent-email/suppressions |
| Delete an inbox binding | DELETE /v1/agent-email/bindings/{bindingId} |
| Export agent email usage | POST /v1/agent-email/usage/export |
| Forward an email message | POST /v1/agent-email/messages/{messageId}/forward |
| List agent email inboxes | GET /v1/agent-email/inboxes |
| List email domains | GET /v1/agent-email/domains |
| List email placements | GET /v1/agent-email/placements |
| List email suppressions | GET /v1/agent-email/suppressions |
| List inbox bindings | GET /v1/agent-email/inboxes/{inboxId}/bindings |
| List inbox drafts | GET /v1/agent-email/inboxes/{inboxId}/drafts |
| List inbox messages | GET /v1/agent-email/inboxes/{inboxId}/messages |
| List inbox threads | GET /v1/agent-email/inboxes/{inboxId}/threads |
| Refresh email domain verification | POST /v1/agent-email/domains/{domainId}/refresh |
| Register a custom email domain | POST /v1/agent-email/domains |
| Reject an email draft | POST /v1/agent-email/drafts/{draftId}/reject |
| Remove an email suppression | POST /v1/agent-email/suppressions/{suppressionId}/remove |
| Reply all to an email message | POST /v1/agent-email/messages/{messageId}/reply-all |
| Reply to an email message | POST /v1/agent-email/messages/{messageId}/reply |
| Reprocess a raw inbound message | POST /v1/agent-email/messages/{messageId}/raw/reprocess |
| Revoke a custom email domain | POST /v1/agent-email/domains/{domainId}/revoke |
| Search inbox messages | POST /v1/agent-email/inboxes/{inboxId}/messages/search |
| Search inbox threads | POST /v1/agent-email/inboxes/{inboxId}/threads/search |
| Send an agent email message | POST /v1/agent-email/inboxes/{inboxId}/messages |
| Send an approved email draft | POST /v1/agent-email/drafts/{draftId}/send |
| Show agent email usage | GET /v1/agent-email/usage |
| Show an agent email inbox | GET /v1/agent-email/inboxes/{inboxId} |
| Show an email draft | GET /v1/agent-email/drafts/{draftId} |
| Show an email message | GET /v1/agent-email/messages/{messageId} |
| Show an email placement | GET /v1/agent-email/placements/{placementId} |
| Show an email thread and its messages | GET /v1/agent-email/inboxes/{inboxId}/threads/{threadId} |
| Show an inbox binding | GET /v1/agent-email/bindings/{bindingId} |
| Show DNS and verification state | GET /v1/agent-email/domains/{domainId} |
| Show the email policy | GET /v1/agent-email/policy |
| Submit an email draft for approval | POST /v1/agent-email/drafts/{draftId}/submit |
| Update an agent email inbox | PATCH /v1/agent-email/inboxes/{inboxId} |
| Update an email draft | PATCH /v1/agent-email/drafts/{draftId} |
| Update an email placement | PATCH /v1/agent-email/placements/{placementId} |
| Update the email policy | PATCH /v1/agent-email/policy |
Agents
| Operation | Endpoint |
|---|---|
| Abort the active canary | POST /v1/agent-deployments/{id}/canary/abort |
| Archive an agent definition | DELETE /v1/agent-definitions/{id} |
| Archive an agent release | DELETE /v1/agent-releases/{id} |
| Create an agent definition | POST /v1/agent-definitions |
| Create an immutable agent release | POST /v1/agent-definitions/{id}/releases |
| Deploy an agent release | POST /v1/agent-deployments |
| List agent definitions | GET /v1/agent-definitions |
| List agent deployments | GET /v1/agent-deployments |
| List releases for an agent definition | GET /v1/agent-definitions/{id}/releases |
| Pause an agent deployment | PATCH /v1/agent-deployments/{id} |
| Promote an agent release into another environment | POST /v1/agent-releases/{id}/promote |
| Promote the canary candidate to primary | POST /v1/agent-deployments/{id}/canary/promote |
| Show an agent definition | GET /v1/agent-definitions/{id} |
| Show an agent deployment | GET /v1/agent-deployments/{id} |
| Show an agent release | GET /v1/agent-releases/{id} |
| Start a canary for a candidate agent release | POST /v1/agent-deployments/{id}/canary |
| Stop an agent deployment | DELETE /v1/agent-deployments/{id} |
| Update an agent definition | PATCH /v1/agent-definitions/{id} |
Alerts
| Operation | Endpoint |
|---|---|
| Archive a monitor | DELETE /v1/monitors/{id} |
| Change, mute, or unmute a monitor | PATCH /v1/monitors/{id} |
| Create a monitor | POST /v1/monitors |
| List alert incidents, newest first | GET /v1/alert-incidents |
| List monitors | GET /v1/monitors |
| Send a test alert to yourself and the monitor's webhooks | POST /v1/monitors/{id}/test |
| Show a monitor | GET /v1/monitors/{id} |
| Show one alert incident with its timeline | GET /v1/monitors/{id}/incidents/{incidentId} |
| Show your alert email settings | GET /v1/alert-notification-preferences |
| Turn your alert emails on or off, or mute monitors | PUT /v1/alert-notification-preferences |
Apps
Artifacts
| Operation | Endpoint |
|---|---|
| Create a customer artifact upload | POST /v1/artifacts |
| Create a scoped artifact access URL | POST /v1/artifacts/{artifactId}/access-urls |
| Delete an artifact and erase its stored bytes | DELETE /v1/artifacts/{artifactId} |
| List artifacts | GET /v1/artifacts |
| Set or clear artifact retention | PATCH /v1/artifacts/{artifactId}/retention |
| Show artifact metadata | GET /v1/artifacts/{artifactId} |
| Verify and complete a customer artifact upload | POST /v1/artifacts/{artifactId}/complete |
Automations
| Operation | Endpoint |
|---|---|
| Archive a heartbeat | DELETE /v1/heartbeats/{heartbeatId} |
| Archive a schedule | DELETE /v1/schedules/{scheduleId} |
| Create a heartbeat | POST /v1/heartbeats |
| Create a schedule | POST /v1/schedules |
| Fire a heartbeat now | POST /v1/heartbeats/{heartbeatId}/fire |
| Fire a schedule now | POST /v1/schedules/{scheduleId}/fire |
| List heartbeat fire history | GET /v1/heartbeats/{heartbeatId}/fires |
| List heartbeats | GET /v1/heartbeats |
| List schedule fire history | GET /v1/schedules/{scheduleId}/fires |
| List schedules | GET /v1/schedules |
| Pause a heartbeat | POST /v1/heartbeats/{heartbeatId}/pause |
| Pause a schedule | POST /v1/schedules/{scheduleId}/pause |
| Resume a heartbeat | POST /v1/heartbeats/{heartbeatId}/resume |
| Resume a schedule | POST /v1/schedules/{scheduleId}/resume |
| Show a heartbeat | GET /v1/heartbeats/{heartbeatId} |
| Show a schedule | GET /v1/schedules/{scheduleId} |
| Update a heartbeat | PATCH /v1/heartbeats/{heartbeatId} |
| Update a schedule | PATCH /v1/schedules/{scheduleId} |
Brains
| Operation | Endpoint |
|---|---|
| Archive a Brain | DELETE /v1/brains/{brainId} |
| Ask a cited question across authorized Brains | POST /v1/brains/ask |
| Capture a Brain document revision | POST /v1/brains/{brainId}/sources/{sourceId}/documents |
| Complete a ticket whose content was stored through its direct upload | POST /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/complete |
| Create a Brain | POST /v1/brains |
| Create a Brain grant | POST /v1/brains/{brainId}/grants |
| Create a Brain source | POST /v1/brains/{brainId}/sources |
| Issue a Brain upload ticket | POST /v1/brains/{brainId}/sources/{sourceId}/uploads |
| List Brain document index health | GET /v1/brains/{brainId}/index-health |
| List Brain grants | GET /v1/brains/{brainId}/grants |
| List Brain mounts | GET /v1/brains/{brainId}/mounts |
| List Brain sources | GET /v1/brains/{brainId}/sources |
| List open Brain review items | GET /v1/brains/{brainId}/review-items |
| List visible Brains | GET /v1/brains |
| Mount a Brain on an agent deployment | POST /v1/brains/{brainId}/mounts |
| Permanently erase a Brain and its derived data | POST /v1/brains/{brainId}/erasures |
| Record usefulness feedback for a Brain query | POST /v1/brains/query-attempts/{queryAttemptId}/feedback |
| Resolve a Brain review item | POST /v1/brains/{brainId}/review-items/{reviewItemId}/resolve |
| Revoke a Brain grant | DELETE /v1/brains/{brainId}/grants/{grantId} |
| Revoke a Brain mount | DELETE /v1/brains/{brainId}/mounts/{mountId} |
| Search source-grounded Brain evidence | POST /v1/brains/search |
| Show a Brain | GET /v1/brains/{brainId} |
| Show a Brain document and current immutable version | GET /v1/brains/{brainId}/documents/{documentId} |
| Show a Brain entity with bounded cited relationships | GET /v1/brains/{brainId}/entities/{entityId} |
| Show a Brain erasure receipt | GET /v1/brains/{brainId}/erasures/{erasureId} |
| Show a Brain upload ticket | GET /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId} |
| Update a Brain | PATCH /v1/brains/{brainId} |
| Upload exact Brain ticket content | PUT /v1/brains/{brainId}/sources/{sourceId}/uploads/{ticketId}/content |
Budgets
| Operation | Endpoint |
|---|---|
| Archive a spend budget | DELETE /v1/budgets/{id} |
| Create a spend budget | POST /v1/budgets |
| List a budget's periods with spend | GET /v1/budgets/{id}/periods |
| List spend budgets | GET /v1/budgets |
| Rename, resize, pause, or resume a spend budget | PATCH /v1/budgets/{id} |
| Show a spend budget | GET /v1/budgets/{id} |
| Operation | Endpoint |
|---|---|
| Create a sending tenant | POST /v1/email/tenants |
| Get a sending tenant | GET /v1/email/tenants/{tenantId} |
| Get sending domain DNS and verification state | GET /v1/email/domains/{domainId} |
| List a tenant's sending domains | GET /v1/email/tenants/{tenantId}/domains |
| List sending tenants | GET /v1/email/tenants |
| Refresh sending domain ownership and DNS verification | POST /v1/email/domains/{domainId}/refresh |
| Register a sending domain ownership challenge | POST /v1/email/tenants/{tenantId}/domains |
| Revoke a sending domain | DELETE /v1/email/domains/{domainId} |
| Send email and return the provider acceptance receipt | POST /v1/email/tenants/{tenantId}/messages |
| Update or explicitly pause/reinstate a sending tenant | PATCH /v1/email/tenants/{tenantId} |
Evaluations
| Operation | Endpoint |
|---|---|
| Add one case from inline input or an existing run or trace | POST /v1/regression-datasets/{datasetId}/cases |
| Annotate a trace | POST /v1/traces/{traceId}/annotations |
| Archive a regression dataset | POST /v1/regression-datasets/{datasetId}/archive |
| Archive a score definition | POST /v1/score-definitions/{scoreDefinitionId}/archive |
| Compare a candidate release against a baseline on a dataset | POST /v1/release-comparisons |
| Create a regression dataset | POST /v1/regression-datasets |
| Create a score definition | POST /v1/score-definitions |
| Import cases from a JSON case file | POST /v1/regression-datasets/{datasetId}/cases/import |
| List annotations for a trace | GET /v1/traces/{traceId}/annotations |
| List cases in a regression dataset | GET /v1/regression-datasets/{datasetId}/cases |
| List evaluation runs, newest first | GET /v1/evaluation-runs |
| List per-case results of an evaluation run | GET /v1/evaluation-runs/{evaluationRunId}/results |
| List recent score results | GET /v1/score-results |
| List regression datasets | GET /v1/regression-datasets |
| List release comparisons, newest first | GET /v1/release-comparisons |
| List score definitions | GET /v1/score-definitions |
| List score results for a trace | GET /v1/traces/{traceId}/score-results |
| Publish a new score definition revision | POST /v1/score-definitions/{scoreDefinitionId}/revisions |
| Record a human or imported score for a trace | POST /v1/traces/{traceId}/score-results |
| Show a regression dataset | GET /v1/regression-datasets/{datasetId} |
| Show a release comparison and its verdict | GET /v1/release-comparisons/{releaseComparisonId} |
| Show a score definition | GET /v1/score-definitions/{scoreDefinitionId} |
| Show an evaluation run and its summary | GET /v1/evaluation-runs/{evaluationRunId} |
| Start a dataset replay or trace scoring run | POST /v1/evaluation-runs |
Extensions
| Operation | Endpoint |
|---|---|
| Archive an extension tool | DELETE /v1/extensions/{toolName} |
| Archive an MCP server | DELETE /v1/mcp-servers/{id} |
| Create an MCP connection | POST /v1/mcp-connections |
| List extension tools | GET /v1/extensions |
| List MCP connections | GET /v1/mcp-connections |
| List MCP servers | GET /v1/mcp-servers |
| Register an extension tool | POST /v1/extensions |
| Register an MCP server | POST /v1/mcp-servers |
| Revoke an MCP connection | DELETE /v1/mcp-connections/{id} |
| Show a hosted code tool artifact | GET /v1/hosted-code-artifacts/{contentHash} |
| Show an extension tool | GET /v1/extensions/{toolName} |
| Show an MCP connection | GET /v1/mcp-connections/{id} |
| Show an MCP server | GET /v1/mcp-servers/{id} |
| Update an extension tool | PATCH /v1/extensions/{toolName} |
| Update an MCP server | PATCH /v1/mcp-servers/{id} |
| Upload hosted code tool source | POST /v1/hosted-code-artifacts |
| Verify and discover MCP tools | POST /v1/mcp-servers/{id}/discover |
Governance
| Operation | Endpoint |
|---|---|
| Create a tenant data export | POST /v1/organizations/{id}/data-exports |
| Create an immutable audit export | POST /v1/organizations/{id}/audit-exports |
| Erase tenant data | POST /v1/organizations/{id}/erasures |
| List governance operation history, newest first | GET /v1/organizations/{id}/governance-operations |
| Replace an organization's egress allowlist | PUT /v1/organizations/{id}/egress-allowlist |
| Show a tenant data export operation | GET /v1/organizations/{id}/data-exports/{operationId} |
| Show a tenant erasure operation | GET /v1/organizations/{id}/erasures/{operationId} |
| Show an immutable audit export operation | GET /v1/organizations/{id}/audit-exports/{operationId} |
| Show an organization retention policy | GET /v1/organizations/{id}/retention-policy |
| Show an organization's egress allowlist | GET /v1/organizations/{id}/egress-allowlist |
| Update an organization retention policy | PATCH /v1/organizations/{id}/retention-policy |
Managed Skills
| Operation | Endpoint |
|---|---|
| Archive a managed skill release | DELETE /v1/managed-skill-releases/{id} |
| Archive a managed skill source | DELETE /v1/managed-skill-sources/{id} |
| Create a managed skill source | POST /v1/managed-skill-sources |
| Inspect a managed skill | GET /v1/managed-skills/{id} |
| Inspect skills in a managed skill release | GET /v1/managed-skill-releases/{id}/skills |
| Install a managed skill | POST /v1/managed-skill-installations |
| List managed skill installations | GET /v1/managed-skill-installations |
| List managed skill sources | GET /v1/managed-skill-sources |
| List releases for a managed skill source | GET /v1/managed-skill-sources/{id}/releases |
| Publish materialized managed skill content | POST /v1/managed-skill-sources/{id}/releases |
| Remove a managed skill installation | DELETE /v1/managed-skill-installations/{id} |
| Show a managed skill installation | GET /v1/managed-skill-installations/{id} |
| Show a managed skill release | GET /v1/managed-skill-releases/{id} |
| Show a managed skill source | GET /v1/managed-skill-sources/{id} |
| Update a managed skill source | PATCH /v1/managed-skill-sources/{id} |
Memory
| Operation | Endpoint |
|---|---|
| Archive a memory space | DELETE /v1/memory-spaces/{memorySpaceId} |
| Archive memory | POST /v1/memory/{memoryId}/archive |
| Change a memory space grant permission | PATCH /v1/memory-space-grants/{grantId} |
| Create a memory policy | POST /v1/memory/policies |
| Create a memory space | POST /v1/memory-spaces |
| Create or update a memory policy | PUT /v1/memory/policies |
| Delete memory | POST /v1/memory/{memoryId}/delete |
| Export governed memory | POST /v1/memory/exports |
| Grant an agent access to a memory space | POST /v1/memory-space-grants |
| Import governed memory | POST /v1/memory/imports |
| Inspect memory retrieval quality | GET /v1/memory/quality |
| Inspect memory search namespace readiness | GET /v1/memory/namespaces/readiness |
| List governed memory | GET /v1/memory |
| List memory policies | GET /v1/memory/policies |
| List memory review items | GET /v1/memory/review-items |
| List memory space grants | GET /v1/memory-space-grants |
| List memory spaces | GET /v1/memory-spaces |
| Prepare the memory search full-text index | POST /v1/memory/namespaces/prepare-full-text |
| Queue post-run memory extraction | POST /v1/memory/flushes |
| Recall memory for an active run | POST /v1/memory/active-recall |
| Record retrieval usefulness feedback | POST /v1/memory/{memoryId}/retrievals/{retrievalId}/feedback |
| Resolve a memory review item | POST /v1/memory/{memoryId}/review-items/{reviewId} |
| Restore memory | POST /v1/memory/{memoryId}/restore |
| Revoke a memory space grant | DELETE /v1/memory-space-grants/{grantId} |
| Search approved memory | POST /v1/memory/search |
| Search memory with an evidence retrieval strategy | POST /v1/memory/evidence/strategy-search |
| Show a memory space | GET /v1/memory-spaces/{memorySpaceId} |
| Show post-run memory extraction status | GET /v1/memory/flushes/{runId} |
Models
| Operation | Endpoint |
|---|---|
| Archive a model policy | DELETE /v1/model-policies/{id} |
| Create the environment model policy | POST /v1/model-policies |
| List catalog models and whether this environment allows them | GET /v1/models |
| List model policies | GET /v1/model-policies |
| List the organization's model provider keys; keys are shown by last four only | GET /v1/organizations/{id}/model-credentials |
| Remove a model provider key; its metadata stays for audit | DELETE /v1/organizations/{id}/model-credentials/{provider} |
| Show a model policy | GET /v1/model-policies/{id} |
| Show one model provider key without revealing it | GET /v1/organizations/{id}/model-credentials/{provider} |
| Update a model policy | PATCH /v1/model-policies/{id} |
| Verify a provider key with the provider, then store or replace it | PUT /v1/organizations/{id}/model-credentials/{provider} |
Observability
| Operation | Endpoint |
|---|---|
| Export a bounded recent trace set | POST /v1/observability/exports |
| List and filter recent traces | GET /v1/observability/traces |
| List traces for a session | GET /v1/observability/sessions/{sessionId}/traces |
| Render the spans in an execution trace | GET /v1/observability/traces/{traceId}/spans |
| Show a finalized trace | GET /v1/observability/traces/{traceId} |
| Show the trace containing a run | GET /v1/observability/runs/{runId}/trace |
| Show tool calls, errors, and latency | GET /v1/observability/tools |
| Show trace or model metrics by time bucket, optionally grouped | GET /v1/observability/metrics |
Operations
| Operation | Endpoint |
|---|---|
| List API-key request activity | GET /v1/api-key-usage |
| List audit events | GET /v1/audit-events |
| List organization-level audit events | GET /v1/organizations/{id}/audit-events |
| Show an audit event | GET /v1/audit-events/{id} |
| Show cost records | GET /v1/costs |
| Show spend aggregates | GET /v1/spend |
| Show usage aggregates | GET /v1/usage |
| Summarize cost per metric and hour or day | GET /v1/costs/summary |
| Summarize usage per metric and hour or day | GET /v1/usage/summary |
Providers
Runtime
| Operation | Endpoint |
|---|---|
| Approve a pending tool call | POST /v1/runs/{runId}/approvals/{approvalId}/resolve |
| Archive a channel binding | DELETE /v1/channel-bindings/{bindingId} |
| Archive a conversation thread | POST /v1/threads/{threadId}/archive |
| Archive a webhook subscription | POST /v1/webhooks/{webhookId}/archive |
| Attach or rotate a channel runtime credential and disable the binding until verification | PUT /v1/channel-bindings/{bindingId}/credential |
| Cancel an agent run | POST /v1/runs/{runId}/cancel |
| Compose an outbound channel delivery | POST /v1/channel-bindings/{bindingId}/deliveries |
| Create a bounded thread stream session | POST /v1/threads/{threadId}/stream-sessions |
| Create a channel binding | POST /v1/channel-bindings |
| Create a conversation thread | POST /v1/threads |
| Create a preview from an unpublished agent manifest | POST /v1/previews |
| Create a webhook subscription | POST /v1/webhooks |
| Create an agent run | POST /v1/agent-deployments/{agentDeploymentId}/runs |
| Expire a preview | DELETE /v1/previews/{previewId} |
| List agent runs in the environment, optionally for one deployment or binding | GET /v1/runs |
| List approval requests | GET /v1/approvals |
| List channel bindings | GET /v1/channel-bindings |
| List channel deliveries | GET /v1/channel-deliveries |
| List conversation threads | GET /v1/threads |
| List the attempts of a webhook delivery | GET /v1/webhook-deliveries/{deliveryId}/attempts |
| List thread messages | GET /v1/threads/{threadId}/messages |
| List tool calls for a run (client tools show executionType, input, expiresAt) | GET /v1/runs/{runId}/tool-calls |
| List webhook deliveries | GET /v1/webhook-deliveries |
| List webhook subscriptions | GET /v1/webhooks |
| List what the runtime logged while executing a run | GET /v1/runs/{runId}/logs |
| Pause deliveries to a webhook subscription | POST /v1/webhooks/{webhookId}/disable |
| Permanently erase a thread and everything derived from it | POST /v1/threads/{threadId}/erasures |
| Permanently erase every thread of one end user in the environment | POST /v1/end-users/erasures |
| Publish a confirmed externally delivered automation message | POST /v1/threads/{threadId}/runs/{runId}/message/publications |
| Release an uncertain external automation delivery reservation | POST /v1/threads/{threadId}/runs/{runId}/message/publication-releases |
| Replay an agent run | POST /v1/runs/{runId}/replay |
| Reserve conversation order before an external automation delivery | POST /v1/threads/{threadId}/runs/{runId}/message/publication-reservations |
| Resume deliveries to a webhook subscription | POST /v1/webhooks/{webhookId}/enable |
| Retry a delivered or failed webhook delivery | POST /v1/webhook-deliveries/{deliveryId}/retry |
| Retry a failed agent run | POST /v1/runs/{runId}/retry |
| Revoke a channel runtime credential and disable its binding | DELETE /v1/channel-bindings/{bindingId}/credential |
| Rotate a webhook signing secret | POST /v1/webhooks/{webhookId}/rotate-secret |
| Search agent runs | POST /v1/runs/search |
| Send a signed test event to a webhook subscription | POST /v1/webhooks/{webhookId}/test |
| Show a channel binding | GET /v1/channel-bindings/{bindingId} |
| Show a channel delivery | GET /v1/runs/{runId}/channel-deliveries/{deliveryId} |
| Show a preview | GET /v1/previews/{previewId} |
| Show a run by ID without its thread | GET /v1/runs/{runId} |
| Show a run within its thread | GET /v1/threads/{threadId}/runs/{runId} |
| Show a thread | GET /v1/threads/{threadId} |
| Show a thread erasure | GET /v1/threads/{threadId}/erasures/{erasureId} |
| Show a webhook delivery | GET /v1/webhook-deliveries/{deliveryId} |
| Show a webhook subscription | GET /v1/webhooks/{webhookId} |
| Show an approval request | GET /v1/runs/{runId}/approvals/{approvalId} |
| Show an end-user erasure | GET /v1/end-users/erasures/{erasureId} |
| Show callback dispatch evidence | GET /v1/callback-dispatch-evidence/{evidenceId} |
| Show the finalized assistant message for a run | GET /v1/threads/{threadId}/runs/{runId}/message |
| Submit a turn to a preview | POST /v1/previews/{previewId}/turns |
| Submit an asynchronous or client-executed tool result | POST /v1/runs/{runId}/tool-calls/{toolCallId}/results |
| Tail a run timeline | GET /v1/threads/{threadId}/stream |
| Update a channel binding | PATCH /v1/channel-bindings/{bindingId} |
| Update a webhook subscription | PATCH /v1/webhooks/{webhookId} |
| Verify a channel binding | POST /v1/channel-bindings/{bindingId}/verify |
Security
System
Tenancy
Tools
| Operation | Endpoint |
|---|---|
| Archive a tool policy | DELETE /v1/tool-policies/{id} |
| Create a tool policy | POST /v1/tool-policies |
| List code-owned platform tools with their default policy | GET /v1/tools |
| List tool policies | GET /v1/tool-policies |
| Show a platform tool with its input schema | GET /v1/tools/{toolName} |
| Show a tool policy | GET /v1/tool-policies/{id} |
| Show what a tool policy or an agent deployment's pinned policies decide for tools (no side effects) | POST /v1/tool-policies/evaluate |
| Update a tool policy | PATCH /v1/tool-policies/{id} |
Workflows
| Operation | Endpoint |
|---|---|
| Approve a pending workflow step | POST /v1/workflow-executions/{workflowExecutionId}/approvals/{workflowApprovalId}/resolve |
| Archive a workflow definition | DELETE /v1/workflow-definitions/{id} |
| Archive a workflow release | DELETE /v1/workflow-releases/{id} |
| Create a workflow definition | POST /v1/workflow-definitions |
| List releases for a workflow definition | GET /v1/workflow-definitions/{id}/releases |
| List workflow definitions | GET /v1/workflow-definitions |
| List workflow executions | GET /v1/workflow-executions |
| List workflow step attempts | GET /v1/workflow-executions/{workflowExecutionId}/steps |
| Publish an immutable workflow release | POST /v1/workflow-definitions/{id}/releases |
| Request workflow execution cancellation | POST /v1/workflow-executions/{workflowExecutionId}/cancel |
| Show a workflow approval | GET /v1/workflow-executions/{workflowExecutionId}/approvals/{workflowApprovalId} |
| Show a workflow definition | GET /v1/workflow-definitions/{id} |
| Show a workflow execution | GET /v1/workflow-executions/{workflowExecutionId} |
| Show a workflow release | GET /v1/workflow-releases/{id} |
| Start an immutable workflow release | POST /v1/workflow-releases/{workflowReleaseId}/executions |
| Update a workflow definition | PATCH /v1/workflow-definitions/{id} |